﻿Imports System.IO

Public Class Form1

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim dt As New DataTable()
        dt.Columns.AddRange(New DataColumn() {New DataColumn("Id", GetType(Integer)), _
                                               New DataColumn("Name", GetType(String)), _
                                               New DataColumn("Country", GetType(String))})
        dt.Rows.Add(1, "John Hammond", "United States")
        dt.Rows.Add(2, "Mudassar Khan", "India")
        dt.Rows.Add(3, "Suzanne Mathews", "France")
        dt.Rows.Add(4, "Robert Schidner", "Russia")
        Me.dataGridView1.DataSource = dt
        Me.dataGridView1.AllowUserToAddRows = False
    End Sub

    Private Sub btnExport_Click(sender As System.Object, e As System.EventArgs) Handles btnExport.Click
        'Table start.
        Dim html As String = "<table cellpadding='5' cellspacing='0' style='border: 1px solid #ccc;font-size: 9pt;font-family:arial'>"

        'Adding HeaderRow.
        html &= "<tr>"

        For Each column As DataGridViewColumn In dataGridView1.Columns
            html &= "<th style='background-color: #B8DBFD;border: 1px solid #ccc'>" & column.HeaderText & "</th>"
        Next
        html &= "</tr>"

        'Adding DataRow.
        For Each row As DataGridViewRow In dataGridView1.Rows
            html &= "<tr>"

            For Each cell As DataGridViewCell In row.Cells
                html &= "<td style='width:120px;border: 1px solid #ccc'>" & cell.Value.ToString() & "</td>"
            Next

            html &= "</tr>"
        Next

        'Table end.
        html &= "</table>"

        File.WriteAllText("E:\Files\DataGridView.htm", html)
    End Sub
End Class
